Announcement

Collapse
No announcement yet.

libvdpau, libva Both Updated Today

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • libvdpau, libva Both Updated Today

    Phoronix: libvdpau, libva Both Updated Today

    In hopes of pushing VDPAU beyond just being a NVIDIA Unix driver technology and to make it an open standard for Linux video driver developers wishing to provide HD video acceleration on Linux via the GPU, NVIDIA released a standalone VDPAU library back in September and have been trying to push some VDPAU bits for DRI2.Today NVIDIA has updated its standalone VDPAU library, libvdpau, which is now at version 0.3. This library update supports versioning to the drivers, configurable install directory support, libvdpau_trace, and documentation updates...

    http://www.phoronix.com/vr.php?view=NzcyNQ

  • #2
    does xvba work for hd3200?

    Comment


    • #3
      All UVD2 based chips should work if I'm not mistaken. I think the HD3200 is plain UVD.

      Comment


      • #4
        Originally posted by Melcar View Post
        All UVD2 based chips should work if I'm not mistaken. I think the HD3200 is plain UVD.
        According to Bridgman, the HD3200, being part of the 780G chipset, actually DOES have UVD2.

        Comment


        • #5
          What makes it tricky is that there are really 4 or 5 versions of UVD, not just 2. From an XvBA perspective the 780G falls into the "UVD2" bucket.

          Comment


          • #6
            Of course there is a changelog for libva -> debian/changelog

            libva (0.31.0-1+sds8) hardy; urgency=low

            * Fix detection of ATI chipsets with fglrx >= 8.69-Beta1.
            * Upgrade to GIT snapshot 2009/11/20:
            - Merge in some G45 fixes and additions.
            - Add VA_STATUS_ERROR_SURFACE_IN_DISPLAYING.

            -- <gbeauchesne@splitted-desktop.com> Fri, 20 Nov 2009 10:44:07 +0000

            Comment


            • #7
              can we expect this to work out of the box with the next ubuntu release?

              Comment


              • #8
                Why with the next?

                wget -N http://kanotix.com/files/install-fglrx-debian.sh
                wget -N http://kanotix.com/files/fix/mplayer-vaapi-latest.txt
                sudo rm -f /etc/X11/xorg.conf*

                then start the fglrx script in vt1 (ctrl+alt+f1) with

                sudo sh install-fglrx-debian.sh -zv 9-10

                after reboot 9-10 will be active (you can remove z too, but that often crashes).

                after that

                sudo sh mplayer-vaapi-latest.txt

                then try

                mplayer -va vaapi -vo vaapi:gl MOVIE

                you can use amdcccle to enable vsync/quality mode.
                Last edited by Kano; 11-20-2009, 05:39 PM.

                Comment


                • #9
                  WOW nice!
                  im going to try this next thing in the morning

                  Comment


                  • #10
                    No benches yet for XvBA? That's odd as vdpau was benched just days after introduction. When can we expect a head to head showdown with vdpau?

                    Comment

                    Working...
                    X